<script setup lang="ts">
import { ref } from "vue";
import { useVModel } from "@vueuse/core";
import RemoteSelect from "/@/components/RemoteSelect";
import { httpCustomerlist } from "/@/api/netOrderEnter/netOrderEntry";

const props = defineProps<{
  modelValue?: string;
}>();

const value = useVModel(props, "modelValue");

const RemoteSelectRef = ref<InstanceType<typeof RemoteSelect> | null>(null);

defineExpose({
  initalData: data => (RemoteSelectRef.value as any).initalData(data)
});
</script>

<template>
  <RemoteSelect
    ref="RemoteSelectRef"
    v-model="value"
    style="width: 100%"
    :api="httpCustomerlist"
    requestProp="company"
    response-label-prop="companyName"
    response-val-prop="companyNo"
  />
</template>
